<?php

namespace App\Actions\V1\FooterTitleDetails;

use App\Models\FooterTitleDetail;
use App\Repositories\V1\Footers\FooterTitleDetailRepositoryInterface;

readonly class GetFooterTitleDetailAction
{
    public function __construct(private FooterTitleDetailRepositoryInterface $repository)
    {
    }

    public function execute(int $id): FooterTitleDetail
    {
        return $this->repository->getById($id);
    }
}
